@page examples Examples
<!--
SPDX-FileCopyrightInfo: Copyright © DUNE-FUFEM Project contributors, see file AUTHORS.md
SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception or LGPL-3.0-or-later
-->

Below you can find commented examples explaining the building
blocks of dune-fufem. The source code of all examples
can be found in the `examples/` subdirectory of the [dune-fufem][] module
and is also available in the @subpage examples-sources section.
Currently there is only one commented example in the tutorial:

### C++ examples
1. @subpage poisson-pq2-cpp

### Python examples
1. @subpage poisson-pq2-py


[dune-fufem]: https://gitlab.dune-project.org/fufem/dune-fufem


<div class="section_buttons">
| Previous      |                       Next |
|:--------------|---------------------------:|
| @ref index    | @ref poisson-pq2-cpp       |
</div>



@page examples-sources Example sources

This contains the raw source files of the examples.
The commented versions can be found in the @ref tutorial section.

### C++ examples
1. @subpage source-poisson-pq2-cpp

### Python examples
1. @subpage source-poisson-pq2-py
