@page license License
<!--
SPDX-FileCopyrightInfo: Copyright © DUNE-FUFEM Project contributors, see file AUTHORS.md
SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception or LGPL-3.0-or-later
-->

All library and header code, examples, doxygen documentation, and
build system files are dual licensed under

* @subpage GPL-2-dune-exception
* @subpage LGPL-3

The manual is licensed under the

* @subpage CC-BY-ND-4

Some external files are licensed under the

* @subpage MIT

For details refer to the [SPDX][] headers contained in each file
which can be processed using the [reuse tool][reuse].

[SPDX]: https://spdx.dev
[reuse]: https://reuse.software


@page GPL-2-dune-exception GPL-2.0 only with DUNE exception
@verbinclude LicenseRef-GPL-2.0-only-with-DUNE-exception.txt

@page LGPL-3 LGPL-3.0 or later
@verbinclude LGPL-3.0-or-later.txt

@page CC-BY-ND-4 CC-BY-ND-4.0 license
@verbinclude CC-BY-ND-4.0.txt

@page MIT MIT license
@verbinclude MIT.txt

